Summary: X Composite Extension library
Name: libXcomposite
Version: 0.4.6
Release: 4%{?dist}
License: MIT
URL: http://www.x.org
Source0: https://www.x.org/pub/individual/lib/libXcomposite-%{version}.tar.xz

BuildRequires: make xorg-x11-util-macros autoconf automake libtool 
BuildRequires: pkgconfig(compositeproto) >= 0.4 pkgconfig(xfixes) pkgconfig(xext)

%description
X Composite Extension library

%package devel
Summary: Development files for libXcomposite
Requires: libXcomposite = %{version}-%{release}

%description devel
X.Org X11R7.7 libXcomposite development files

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc AUTHORS README.md ChangeLog
%{_libdir}/libXcomposite.so.1
%{_libdir}/libXcomposite.so.1.0.0

%files devel
%{_includedir}/X11/extensions/Xcomposite.h
%{_libdir}/libXcomposite.so
%{_libdir}/pkgconfig/xcomposite.pc
%{_mandir}/man3/X?omposite*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 2 2023 Shuo Wang <abushwang@tencent.com> - 0.4.6-1
- update to 0.4.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 20 2022 Wang Guodong <gordonwwang@tencent.com> - 0.4.5-1
- package init.
